context = window
logger = context.JK.logger

@PopupWrapper = React.createClass({

  getInitialState: () ->
    {ready: false}

  render: () ->
    logger.debug("PopupProps", window.PopupProps)
    return React.createElement(window[this.props.component], window.PopupProps)

})